ServerConductor/Blade Server Manager Description and Reference

## 11.4 Agent service settings

To change or view agent service settings:

1. In the Host Management window, select the server for which agent service information is to be changed or viewed.
2. From the Setting menu, choose Agent Service Setting.
   The Agent Service settings dialog box appears:

In this dialog box, you can change or view agent service information. A sub-administrator can only view the information.

For details about the dialog box that is displayed when the Information Acquisition tab is chosen in the Agent Service settings dialog box, see 8.1.2 Setting an environment (information acquisition).

Organization of this section
  (1) Network information
  (2) Alert information
  (3) Attribute information for individual alerts
  (4) Excess usage rate notification

#### (1) Network information

You can set and view the network information.

To set or view network information, choose the Network tab. The Network tabbed page is displayed.

On the Network tabbed page, you can set and view the following information:

Item | Setting
--- | ---
Command timeout value | Set the wait time (in seconds) for a response to a transmission from the agent service to an manager service. The permitted value range is from 1 to 600. The default is 90 seconds.
Keep alive and its interval | Select this check box if the keep alive function is to be used during transfer operations with the manager service (the default is that this check box is not selected). When you check this box, also set a keep alive interval (in seconds). The permitted value range is from 1 to 3,600. The default is 600 seconds.

#### (2) Alert information

You can set and view information about alerts that are detected by the agent service. To set alert information, choose the Alert tab. The Alert tabbed page is displayed:

On the Alert tabbed page, you can set and view the following information:

Item | Setting
--- | ---
Alert level | Select the levels of alerts that are to be sent to the manager service (select the applicable check boxes).
Number of days to save | Specify a retention period (number of days) for the alert log file. When this number of days is reached, a notification is sent to the management console. The permitted value range is from 0 to 90. The default is 30 days. When 0 is set, the alert log file will be retained indefinitely (until the user deletes it).
Used disk capacity warning threshold | Specify a warning size for the alert log (in kilobytes). When the total size of alert log information exceeds this value, a warning is sent to the management console (alert log information is saved as one file per day). The permitted value range is from 0 to 1,048,576. The default is 1,024 kilobytes. If 0 is set, no warning will be sent.
Application log | Select this check box if alerts sent by the agent service are to be recorded as application log information. The created application log information can be viewed by the Event Viewer. Note Alerts for Linux servers cannot be recorded as application log information.

You can set whether each alert is to be reported. For details, see (3) Attribute information for each alert.

#### (3) Attribute information for individual alerts

You can set the alerts for which the console service is to be notified. You can also set an action to be taken at the server when a particular alert occurs (such as rebooting or turning off the power). To set attribute information for an alert, choose the Each Alert Attribute tab.

On the Each Alert Attribute tabbed page, you can set and view the following information:

Item | Setting
--- | ---
List of alerts | Displays information about all alerts. From this list, select an alert to be reported to the console service or an alert for which a server action is to be set.
Alert occurrence notification | Set the number of times the alert selected in List of alert must occur before notification is sent to the management console. The permitted value range is from 1 to 65,535. The default depends on the type of server being managed. If no notification is to be sent, select Do not notify. For an alert whose level has been defined for non-notification on the Alert page of the Agent Service Settings dialog box, notifications will not be sent even if you set a count here. For details about the setting method, see 6.8.1(2) Filtering in units of alerts.
Server operation when event occurs | Select a power control operation to be performed at the server when the event occurs. Also set whether processes that had started at the time the event occurred are to be terminated forcibly. Select the desired check boxes. The defaults are that Do nothing and No (for forced termination of processes) are selected. Note Once the server action is executed as a result of occurrence of the event, the setting is reset to Do nothing. To execute this same action the next time the event occurs, the server action must be set again.
Failover | The failover mode cannot be set from ServerConductor.
Save button | Click to save all alert attributes displayed in the List of alerts in the alert attribute file.
Read button | Click to read the alert attribute file and set attributes of alerts in the batch mode.

#### (4) Excess usage rate notification

You can set excess usage rates (percentages) for the CPU, the memory, drives, and file systems. When usage of any resource for which a threshold has been set reaches the specified rate, a notification is sent to the manager service. To set excess usage rate notifications, choose the Excess Usage Rate Notification tab.

On the Excess Usage Rate Notification tabbed page, you can set and view the following information:

Item | Setting
--- | ---
Device | Select the type of device to be checked for excess usage rate notification. The devices that can be checked depend on the type of server. The following devices are supported for each server type: Windows server: CPU, memory, drives Linux server: CPU, memory, file systems
Drives or File systems | Lists the drives or file systems (depending on the selected server type), and for each shows its current usage rate (percentage). From this list, select the drive or file system for which excess usage rate notification is to be set.
Check the usage rate | Select this check box to instruct that usage rates are to be checked. The default is that this check box is cleared. To change excess usage rate notification settings, you must first select this box. When you do so, the other settings become enabled.
Usage rate | Set an excess usage rate percentage for the CPU, memory, drive, or file system. When this usage is reached, a notification will be sent. For the CPU, the permitted value range is from 10 to 100, and the default is 30%. For memory, drive, or file system, the permitted value range is from 40 to 100, and the default is 80%.
Interval for checking the usage rate | Set the interval (in seconds) at which the CPU, memory, drive, or file system usage rate is to be checked. The permitted value range is from 1 to 86,400. The default is 10 seconds for CPU or memory and 60 seconds for a drive or file system. This checking interval applies to all drives or all file systems. Different values cannot be set for individual drives or file systems (such as 3 seconds for drive C and 5 seconds for drive D).
Number of samplings for usage rate calculations | An excess usage rate notification is sent to the manager when the average of multiple values obtained from checking reaches the specified Usage value. Set in this item the number of times checking is to be performed to obtain the average value. The permitted value range is from 1 to 1,000. The default is 10 times. This sampling count applies to all drives or to all file systems. Different values cannot be set for individual drives or file systems (such as 10 times for drive C and 20 times for drive D).

To set excess usage rate notification:

1. Select the Check the usage rate check box.
2. For a Windows server, select CPU, Memory, or Drive. For a Linux server, select CPU, Memory, or File system.
3. If you selected Drive or File system, double-click on the name of the drive or file system whose usage rate is to be checked.
   Double-clicking changes the unfilled circle () to a filled circle () and selects the item for checking.
   The items displayed as file systems correspond to the file system information in the inventory information. Check these items beforehand. Especially when file systems are grouped, correspondence between a file system's index number and the actual file system varies from one server to another.
4. Set the checking items.

Set the usage rate, checking interval, and sample count. When you specify settings for drives or file systems, you can set a different usage rate for each drive or file system, but the same checking interval and sampling count apply to all drives or to all file systems.

All Rights Reserved. Copyright (C) 2006, Hitachi, Ltd.